---
title: List Registrations
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Registrar Sandbox](https://developers.cloudflare.com/api/go/resources/registrar_sandbox)

[Registrations](https://developers.cloudflare.com/api/go/resources/registrar_sandbox/subresources/registrations)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List Registrations

client.RegistrarSandbox.Registrations.List(ctx, params) (\*CursorPagination\[[RegistrationListResponse](<https://developers.cloudflare.com/api/go/resources/registrar_sandbox#(resource)%20registrar_sandbox.registrations%20%3E%20(model)%20RegistrationListResponse%20%3E%20(schema)>)], error)

GET/accounts/{account\_id}/registrar-sandbox/registrations

Returns a paginated list of domain registrations owned by the account.

This endpoint uses cursor-based pagination. Results are ordered by registration date by default. To fetch the next page, pass the `cursor` value from the `result_info` object in the response as the `cursor` query parameter in your next request. An empty `cursor` string indicates there are no more pages.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

<details>

<summary>

params RegistrationListParams

</summary>

AccountID param.Field\[string]

Path param: Identifier.

maxLength32

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

Cursor param.Field\[string]Optional

Query param: Opaque token from a previous response’s <code>result_info.cursor</code>. Pass this value to fetch the next page of results. Omit (or pass an empty string) for the first page.

maxLength256

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20cursor">Link to this property</a>

<details>

<summary>

Direction param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/registrar_sandbox/subresources/registrations/methods/list#(resource)%20registrar_sandbox.registrations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20direction%20%3E%20(schema)">RegistrationListParamsDirection</a>]Optional

Query param: Sort direction for results. Defaults to ascending order.

</summary>

const RegistrationListParamsDirectionAsc <a href="https://developers.cloudflare.com/api/go/resources/registrar_sandbox/subresources/registrations/methods/list#(resource)%20registrar_sandbox.registrations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20direction%20%3E%20(schema)">RegistrationListParamsDirection</a> = "asc"

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20direction%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const RegistrationListParamsDirectionDesc <a href="https://developers.cloudflare.com/api/go/resources/registrar_sandbox/subresources/registrations/methods/list#(resource)%20registrar_sandbox.registrations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20direction%20%3E%20(schema)">RegistrationListParamsDirection</a> = "desc"

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20direction%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20direction">Link to this property</a>

PerPage param.Field\[int64]Optional

Query param: Number of items to return per page.

maximum50

minimum1

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20per_page">Link to this property</a>

<details>

<summary>

SortBy param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/registrar_sandbox/subresources/registrations/methods/list#(resource)%20registrar_sandbox.registrations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sort_by%20%3E%20(schema)">RegistrationListParamsSortBy</a>]Optional

Query param: Column to sort results by. Defaults to registration date (<code>registry_created_at</code>) when omitted.

</summary>

const RegistrationListParamsSortByRegistryCreatedAt <a href="https://developers.cloudflare.com/api/go/resources/registrar_sandbox/subresources/registrations/methods/list#(resource)%20registrar_sandbox.registrations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sort_by%20%3E%20(schema)">RegistrationListParamsSortBy</a> = "registry\_created\_at"

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sort_by%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const RegistrationListParamsSortByRegistryExpiresAt <a href="https://developers.cloudflare.com/api/go/resources/registrar_sandbox/subresources/registrations/methods/list#(resource)%20registrar_sandbox.registrations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sort_by%20%3E%20(schema)">RegistrationListParamsSortBy</a> = "registry\_expires\_at"

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sort_by%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

const RegistrationListParamsSortByName <a href="https://developers.cloudflare.com/api/go/resources/registrar_sandbox/subresources/registrations/methods/list#(resource)%20registrar_sandbox.registrations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sort_by%20%3E%20(schema)">RegistrationListParamsSortBy</a> = "name"

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sort_by%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20sort_by">Link to this property</a>

</details>

[Link to this property](<#(resource)%20registrar_sandbox.registrations%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type RegistrationListResponse struct{…}

A domain registration resource representing the current state of a registered domain.

</summary>

AutoRenew bool

Whether automatic renewal occurs before expiration.

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(model)%20RegistrationListResponse%20%3E%20(schema)%20%3E%20(property)%20auto_renew">Link to this property</a>

CreatedAt Time

When the domain was registered. Present when the registration resource exists.

formatdate-time

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(model)%20RegistrationListResponse%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

DomainName string

Provides a fully qualified domain name (FQDN), including the extension (e.g., <code>example.com</code>, <code>mybrand.app</code>). The domain name uniquely identifies a registration. Cloudflare permits only one registration per domain, making the domain name a natural idempotency key for registration requests.

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(model)%20RegistrationListResponse%20%3E%20(schema)%20%3E%20(property)%20domain_name">Link to this property</a>

ExpiresAt Time

When the domain registration expires. Ready registrations include this value; only <code>registration_pending</code> and <code>transfer_pending</code> may return null.

formatdate-time

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(model)%20RegistrationListResponse%20%3E%20(schema)%20%3E%20(property)%20expires_at">Link to this property</a>

Locked bool

Whether the domain is locked for transfer.

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(model)%20RegistrationListResponse%20%3E%20(schema)%20%3E%20(property)%20locked">Link to this property</a>

<details>

<summary>

PrivacyMode RegistrationListResponsePrivacyMode

Current WHOIS privacy mode for the registration.

</summary>

One of the following:

const RegistrationListResponsePrivacyModeOff RegistrationListResponsePrivacyMode = "off"

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(model)%20RegistrationListResponse%20%3E%20(schema)%20%3E%20(property)%20privacy_mode%20%3E%20(member)%200">Link to this property</a>

const RegistrationListResponsePrivacyModeRedaction RegistrationListResponsePrivacyMode = "redaction"

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(model)%20RegistrationListResponse%20%3E%20(schema)%20%3E%20(property)%20privacy_mode%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(model)%20RegistrationListResponse%20%3E%20(schema)%20%3E%20(property)%20privacy_mode">Link to this property</a>

<details>

<summary>

Status RegistrationListResponseStatus

Current registration status.

- <code>active</code>: The domain operates with an active registration.
- <code>registration_pending</code>: Registration remains in progress.
- <code>transfer_pending</code>: Domain transfer is in progress.
- <code>expired</code>: The domain registration expired.
- <code>suspended</code>: The registry suspended the domain.
- <code>redemption_period</code>: The domain entered the redemption grace period.
- <code>pending_delete</code>: The registry scheduled the domain for deletion.

</summary>

One of the following:

const RegistrationListResponseStatusActive RegistrationListResponseStatus = "active"

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(model)%20RegistrationListResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

const RegistrationListResponseStatusRegistrationPending RegistrationListResponseStatus = "registration\_pending"

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(model)%20RegistrationListResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

const RegistrationListResponseStatusTransferPending RegistrationListResponseStatus = "transfer\_pending"

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(model)%20RegistrationListResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

const RegistrationListResponseStatusExpired RegistrationListResponseStatus = "expired"

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(model)%20RegistrationListResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%203">Link to this property</a>

const RegistrationListResponseStatusSuspended RegistrationListResponseStatus = "suspended"

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(model)%20RegistrationListResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%204">Link to this property</a>

const RegistrationListResponseStatusRedemptionPeriod RegistrationListResponseStatus = "redemption\_period"

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(model)%20RegistrationListResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%205">Link to this property</a>

const RegistrationListResponseStatusPendingDelete RegistrationListResponseStatus = "pending\_delete"

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(model)%20RegistrationListResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%206">Link to this property</a>

</details>

<a href="#(resource)%20registrar_sandbox.registrations%20%3E%20(model)%20RegistrationListResponse%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

</details>

[Link to this property](<#(resource)%20registrar_sandbox.registrations%20%3E%20(model)%20RegistrationListResponse%20%3E%20(schema)>)

### List Registrations

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/registrar_sandbox"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.RegistrarSandbox.Registrations.List(context.TODO(), registrar_sandbox.RegistrationListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

200 example

200 example

200 example

4XX example

```
{
  "errors": [],
  "messages": [],
  "result": [],
  "result_info": {
    "count": 0,
    "cursor": "",
    "per_page": 20
  },
  "success": true
}
```

```
{
  "errors": [],
  "messages": [],
  "result": [
    {
      "auto_renew": true,
      "created_at": "2025-01-15T10:00:00Z",
      "domain_name": "example.com",
      "expires_at": "2026-01-15T10:00:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": false,
      "created_at": "2025-03-20T14:30:00Z",
      "domain_name": "mybrand.dev",
      "expires_at": "2026-03-20T14:30:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    }
  ],
  "result_info": {
    "count": 2,
    "cursor": "",
    "per_page": 20
  },
  "success": true
}
```

```
{
  "errors": [],
  "messages": [],
  "result": [
    {
      "auto_renew": true,
      "created_at": "2025-04-01T09:00:00Z",
      "domain_name": "charlie.org",
      "expires_at": "2026-04-01T09:00:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    }
  ],
  "result_info": {
    "count": 1,
    "cursor": "",
    "per_page": 20
  },
  "success": true
}
```

```
{
  "errors": [],
  "messages": [],
  "result": [
    {
      "auto_renew": true,
      "created_at": "2024-01-15T09:30:00Z",
      "domain_name": "acmecorp.com",
      "expires_at": "2026-01-15T09:30:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2024-02-20T14:00:00Z",
      "domain_name": "brightwave.net",
      "expires_at": "2026-02-20T14:00:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2024-03-05T11:15:00Z",
      "domain_name": "cloudpeak.org",
      "expires_at": "2026-03-05T11:15:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2024-03-22T08:45:00Z",
      "domain_name": "solarpanel.io",
      "expires_at": "2026-03-22T08:45:00Z",
      "locked": true,
      "privacy_mode": "off",
      "status": "active"
    },
    {
      "auto_renew": false,
      "created_at": "2024-04-10T16:00:00Z",
      "domain_name": "greenleaf.dev",
      "expires_at": "2026-04-10T16:00:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2024-05-03T10:30:00Z",
      "domain_name": "swiftrunner.app",
      "expires_at": "2026-05-03T10:30:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": false,
      "created_at": "2024-05-18T13:00:00Z",
      "domain_name": "northerntrail.co",
      "expires_at": "2025-05-18T13:00:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "expired"
    },
    {
      "auto_renew": true,
      "created_at": "2024-06-01T07:20:00Z",
      "domain_name": "pixelforge.xyz",
      "expires_at": "2026-06-01T07:20:00Z",
      "locked": false,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2024-06-25T15:45:00Z",
      "domain_name": "oceandrift.com",
      "expires_at": "2026-06-25T15:45:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2024-07-12T09:00:00Z",
      "domain_name": "rocketlaunch.net",
      "expires_at": "2026-07-12T09:00:00Z",
      "locked": true,
      "privacy_mode": "off",
      "status": "active"
    },
    {
      "auto_renew": false,
      "created_at": "2024-08-08T12:30:00Z",
      "domain_name": "blueprintlab.io",
      "expires_at": "2026-08-08T12:30:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2024-09-01T18:00:00Z",
      "domain_name": "maplewood.org",
      "expires_at": "2026-09-01T18:00:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": false,
      "created_at": "2024-09-20T10:15:00Z",
      "domain_name": "thunderbolt.dev",
      "expires_at": "2025-09-20T10:15:00Z",
      "locked": false,
      "privacy_mode": "off",
      "status": "expired"
    },
    {
      "auto_renew": true,
      "created_at": "2024-10-05T14:45:00Z",
      "domain_name": "silverbranch.app",
      "expires_at": "2026-10-05T14:45:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2024-11-11T08:00:00Z",
      "domain_name": "nightowl.co",
      "expires_at": "2026-11-11T08:00:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2024-12-01T11:30:00Z",
      "domain_name": "crimsongate.com",
      "expires_at": "2026-12-01T11:30:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": false,
      "created_at": "2025-01-07T16:20:00Z",
      "domain_name": "frostedpine.net",
      "expires_at": "2027-01-07T16:20:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2025-01-25T09:50:00Z",
      "domain_name": "horizonline.xyz",
      "expires_at": "2027-01-25T09:50:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2025-02-14T13:00:00Z",
      "domain_name": "coppervine.io",
      "expires_at": "2027-02-14T13:00:00Z",
      "locked": true,
      "privacy_mode": "off",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2025-03-02T07:40:00Z",
      "domain_name": "starlitpath.org",
      "expires_at": "2027-03-02T07:40:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    }
  ],
  "result_info": {
    "count": 20,
    "cursor": "eyJ0IjoiMjAyNS0wNi0xNVQxMjowMDowMC4wMDAwMDBaIiwibiI6ImJyYXZvLm5ldCJ9",
    "per_page": 20
  },
  "success": true
}
```

```
{
  "errors": [
    {
      "code": 10000,
      "message": "Invalid pagination cursor"
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
```

##### Returns Examples

200 example

200 example

200 example

200 example

4XX example

```
{
  "errors": [],
  "messages": [],
  "result": [],
  "result_info": {
    "count": 0,
    "cursor": "",
    "per_page": 20
  },
  "success": true
}
```

```
{
  "errors": [],
  "messages": [],
  "result": [
    {
      "auto_renew": true,
      "created_at": "2025-01-15T10:00:00Z",
      "domain_name": "example.com",
      "expires_at": "2026-01-15T10:00:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": false,
      "created_at": "2025-03-20T14:30:00Z",
      "domain_name": "mybrand.dev",
      "expires_at": "2026-03-20T14:30:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    }
  ],
  "result_info": {
    "count": 2,
    "cursor": "",
    "per_page": 20
  },
  "success": true
}
```

```
{
  "errors": [],
  "messages": [],
  "result": [
    {
      "auto_renew": true,
      "created_at": "2025-04-01T09:00:00Z",
      "domain_name": "charlie.org",
      "expires_at": "2026-04-01T09:00:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    }
  ],
  "result_info": {
    "count": 1,
    "cursor": "",
    "per_page": 20
  },
  "success": true
}
```

```
{
  "errors": [],
  "messages": [],
  "result": [
    {
      "auto_renew": true,
      "created_at": "2024-01-15T09:30:00Z",
      "domain_name": "acmecorp.com",
      "expires_at": "2026-01-15T09:30:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2024-02-20T14:00:00Z",
      "domain_name": "brightwave.net",
      "expires_at": "2026-02-20T14:00:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2024-03-05T11:15:00Z",
      "domain_name": "cloudpeak.org",
      "expires_at": "2026-03-05T11:15:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2024-03-22T08:45:00Z",
      "domain_name": "solarpanel.io",
      "expires_at": "2026-03-22T08:45:00Z",
      "locked": true,
      "privacy_mode": "off",
      "status": "active"
    },
    {
      "auto_renew": false,
      "created_at": "2024-04-10T16:00:00Z",
      "domain_name": "greenleaf.dev",
      "expires_at": "2026-04-10T16:00:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2024-05-03T10:30:00Z",
      "domain_name": "swiftrunner.app",
      "expires_at": "2026-05-03T10:30:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": false,
      "created_at": "2024-05-18T13:00:00Z",
      "domain_name": "northerntrail.co",
      "expires_at": "2025-05-18T13:00:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "expired"
    },
    {
      "auto_renew": true,
      "created_at": "2024-06-01T07:20:00Z",
      "domain_name": "pixelforge.xyz",
      "expires_at": "2026-06-01T07:20:00Z",
      "locked": false,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2024-06-25T15:45:00Z",
      "domain_name": "oceandrift.com",
      "expires_at": "2026-06-25T15:45:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2024-07-12T09:00:00Z",
      "domain_name": "rocketlaunch.net",
      "expires_at": "2026-07-12T09:00:00Z",
      "locked": true,
      "privacy_mode": "off",
      "status": "active"
    },
    {
      "auto_renew": false,
      "created_at": "2024-08-08T12:30:00Z",
      "domain_name": "blueprintlab.io",
      "expires_at": "2026-08-08T12:30:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2024-09-01T18:00:00Z",
      "domain_name": "maplewood.org",
      "expires_at": "2026-09-01T18:00:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": false,
      "created_at": "2024-09-20T10:15:00Z",
      "domain_name": "thunderbolt.dev",
      "expires_at": "2025-09-20T10:15:00Z",
      "locked": false,
      "privacy_mode": "off",
      "status": "expired"
    },
    {
      "auto_renew": true,
      "created_at": "2024-10-05T14:45:00Z",
      "domain_name": "silverbranch.app",
      "expires_at": "2026-10-05T14:45:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2024-11-11T08:00:00Z",
      "domain_name": "nightowl.co",
      "expires_at": "2026-11-11T08:00:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2024-12-01T11:30:00Z",
      "domain_name": "crimsongate.com",
      "expires_at": "2026-12-01T11:30:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": false,
      "created_at": "2025-01-07T16:20:00Z",
      "domain_name": "frostedpine.net",
      "expires_at": "2027-01-07T16:20:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2025-01-25T09:50:00Z",
      "domain_name": "horizonline.xyz",
      "expires_at": "2027-01-25T09:50:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2025-02-14T13:00:00Z",
      "domain_name": "coppervine.io",
      "expires_at": "2027-02-14T13:00:00Z",
      "locked": true,
      "privacy_mode": "off",
      "status": "active"
    },
    {
      "auto_renew": true,
      "created_at": "2025-03-02T07:40:00Z",
      "domain_name": "starlitpath.org",
      "expires_at": "2027-03-02T07:40:00Z",
      "locked": true,
      "privacy_mode": "redaction",
      "status": "active"
    }
  ],
  "result_info": {
    "count": 20,
    "cursor": "eyJ0IjoiMjAyNS0wNi0xNVQxMjowMDowMC4wMDAwMDBaIiwibiI6ImJyYXZvLm5ldCJ9",
    "per_page": 20
  },
  "success": true
}
```

```
{
  "errors": [
    {
      "code": 10000,
      "message": "Invalid pagination cursor"
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
```